## pytango 8.1.1

=== src/sip/Makefile ===
TARGET = Tango.so
OFILES = sipTangocmodule.o sipTangoDatabase.o sipTangoDeviceProxy.o sipTangoConnection.o sipTangoDbDevImportInfo.o sipTangoDbDevInfo.o sipTangoDbDatum.o sipTangoCommandInfoList.o sipTangoCommandInfo.o sipTangoDevCommandInfo.o sipTangostdvector1800.o sipTangostdvector0100stdstring.o sipTangostdstring.o
HFILES = sipAPITango.h 

CC = gcc
CXX = g++
LINK = g++
CPPFLAGS = -DNDEBUG -I. -I/usr/include/python2.6
CFLAGS =  -O2 -g -fPIC -Wall -W
CXXFLAGS = -std=c++0x  -O2 -g -fPIC -Wall -W
LFLAGS = -z defs -shared -Wl,--version-script=Tango.exp
LIBS = -ltango -llog4tango -lzmq -lomniORB4 -lomniDynamic4 -lomnithread -lCOS4 -lpython2.6
.SUFFIXES: .c .o .cpp .cc .cxx .C


.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(CPPFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o $@ $<

all: $(TARGET)

$(OFILES): $(HFILES)

$(TARGET): $(OFILES)
	@echo '{ global: initTango; local: *; };' > Tango.exp
	$(LINK) $(LFLAGS) -o $(TARGET) $(OFILES) $(LIBS)

install: $(TARGET)
	@test -d $(DESTDIR)/usr/lib/python2.6/dist-packages || mkdir -p $(DESTDIR)/usr/lib/python2.6/dist-packages
	cp -f $(TARGET) $(DESTDIR)/usr/lib/python2.6/dist-packages/$(TARGET)

clean:
	-rm -f $(TARGET)
	-rm -f sipTangocmodule.o
	-rm -f sipTangoDatabase.o
	-rm -f sipTangoDeviceProxy.o
	-rm -f sipTangoConnection.o
	-rm -f sipTangoDbDevImportInfo.o
	-rm -f sipTangoDbDevInfo.o
	-rm -f sipTangoDbDatum.o
	-rm -f sipTangoCommandInfoList.o
	-rm -f sipTangoCommandInfo.o
	-rm -f sipTangoDevCommandInfo.o
	-rm -f sipTangostdvector1800.o
	-rm -f sipTangostdvector0100stdstring.o
	-rm -f sipTangostdstring.o
	-rm -f Tango.exp

## pytango 7.2.0

=== debian/changelog ===
pytango (7.2.0-2) unstable; urgency=low

  * debian/control
    - bump the Standards-Version to 3.9.2
    - Build-Depends
      + libtango7 (>= 7.2) (updated)
      + python-all-dev  (>= 2.6.6-3~) (updated)
      + python-setuptool (removed)
  * debian/copyright
    - use the right dep5 location
  * Install the spock profile also for python2.7 Thanks Jakub Wilk for
    the report (Closes: #632077)
  * Update my email address since I am DD now.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 14 May 2011 14:01:37 +0200

pytango (7.2.0-1) unstable; urgency=low

  * Initial release (Closes: #614245)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Mon, 09 Aug 2010 11:26:05 +0200

=== debian/control ===
Source: pytango
Section: python
Priority: extra
Maintainer: Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: debhelper (>= 8.0.0),
	       python-all-dev (>= 2.6.6-3~),
	       liblog4tango4-dev,
	       libtango7-dev (>= 7.2),
	       libboost-python-dev,
	       python-numpy,
	       ipython,
	       python-sphinx,
	       graphviz
X-Python-Version: >= 2.5
Standards-Version: 3.9.2
Homepage: http://www.tango-controls.org

Package: python-pytango
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${python:Depends},
	 python-numpy,
	 ipython,
	 libjs-jquery
Provides: ${python:Provides}
Description: API for the TANGO control system
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_clean:
	rm -rf build/sphinx
	dh_clean

%:
	dh $@ --with python2

## pytango 7.2.2

=== debian/changelog ===
pytango (7.2.2-3) unstable; urgency=low

  * bump the Standards-Version to 3.9.3
    - use the copyright format 1.0
  * dpkg/rules
    - updated to build on squeeze
  * dpkg/control
    - better dependencies thanks to cme (config-edit)
    - X-Python-Version: >= 2.5 ->  2.6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 26 Feb 2012 14:49:19 +0100

pytango (7.2.2-2) unstable; urgency=low

  * use dh_numpy for better python-numpy dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Jan 2012 11:32:31 +0100

pytango (7.2.2-1) unstable; urgency=low

  * import 7.2.2 upstream version. (Closes: #636468)
  * use dh_sphinxdoc
  * debian/control
    - Build-Depends
      - python-sphinx (>= 1.0.7+dfsg)
    - add the Vcs- fields
    - follow Debian Science policy for Maintainers
  * debian/copyright fixed using config-edit
  * debian/patches
    - remove all patches thanks to the --install-html option.
  * use pyinstall file to install the ipython profile.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 12 Dec 2011 18:05:59 +0200

=== debian/control ===
Source: pytango
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 8),
               graphviz,
               ipython,
               libboost-python-dev,
               liblog4tango4-dev,
               libtango7-dev,
               python-all-dev (>= 2.6.6-3~),
               python-numpy (>= 1:1.4.1-4~),
               python-sphinx
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pytango.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytango.git
Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
X-Python-Version: >= 2.6

Package: python-pytango
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
         ipython
Provides: ${python:Provides}
Description: API for the TANGO control system
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.

=== debian/rules ===
#!/usr/bin/make -f

# for backport on stable without bpo
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

override_dh_clean:
	rm -rf build/sphinx
	dh_clean

override_dh_auto_install:
	dh_auto_install -- --install-html=$(CURDIR)/debian/python-pytango/usr/share/doc/python-pytango/html
	dh_numpy

override_dh_auto_build:
	dh_auto_build -- --without-spock

%:
	dh $@ --with python2 $(WITH_SPHINXDOC)

## pytango 7.2.3

=== debian/changelog ===
pytango (7.2.3-2) unstable; urgency=low

  * debian/rules
    - use dh_sphinxdoc only for the doc package (Closes: #670955)
  * debian/control
    - add Build-Depends-Indep

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 May 2012 18:08:18 +0200

pytango (7.2.3-1) unstable; urgency=low

  * Imported Upstream version 7.2.3
  * debian/control
    - add the python-pytango-doc package

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 25 Apr 2012 20:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 8),
-               graphviz,
-               ipython,
                libboost-python-dev,
                liblog4tango4-dev,
                libtango7-dev,
                python-all-dev (>= 2.6.6-3~),
-               python-numpy (>= 1:1.4.1-4~),
-               python-sphinx
+               python-numpy (>= 1:1.4.1-4~)
+Build-Depends-Indep: graphviz,
+		     python-sphinx
 Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pytango.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytango.git
@@ -24,13 +23,26 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         ${sphinxdoc:Depends},
          ipython
 Provides: ${python:Provides}
+Description: API for the TANGO control system (documentation)
+ TANGO is an object oriented distributed control system using CORBA,
+ mainly developed by the Controls Section of the ALBA Synchrotron.
+ PyTango provides bindings for its client- and server-side C++ APIs.
+ With PyTango, you can write TANGO device servers and TANGO applications
+ (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
+
+Package: python-pytango-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: API for the TANGO control system
  TANGO is an object oriented distributed control system using CORBA,
  mainly developed by the Controls Section of the ALBA Synchrotron.
  PyTango provides bindings for its client- and server-side C++ APIs.
  With PyTango, you can write TANGO device servers and TANGO applications
  (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
+ .
+ This package contains the documentation for the python-pytango library.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_clean:
	rm -rf build/sphinx
	dh_clean

override_dh_auto_install:
	dh_auto_install -- --install-html=$(CURDIR)/debian/python-pytango-doc/usr/share/doc/python-pytango-doc/html
	dh_numpy

override_dh_installdocs:
	dh_installdocs
ifneq (,$(filter python-pytango-doc, $(shell dh_listpackages)))
	# add the - for backport where dh_sphinxdoc is not available
	-dh_sphinxdoc -ppython-pytango-doc
endif

%:
	dh $@ --with python2

## pytango 8.0.3

=== debian/changelog ===
pytango (8.0.3-3) unstable; urgency=low

  * debian/control
    - Build-Depends: remove log4tango4 which is not a direct build dependency.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Aug 2013 09:17:58 +0200

pytango (8.0.3-2) unstable; urgency=low

  * debian/patch
    + 0001-fix-from-upstream-FTBFS-s390.patch (Closes: #711761)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Jul 2013 08:48:11 +0200

pytango (8.0.3-1) unstable; urgency=low

  * Imported Upstream version 8.0.3
  * Bump Standards-Version 3.9.4 (nothing to do)
  * Switch to debhelper level 9
  * debian/rules
    - updated the clean target to build twice.
  * debian/patches
    - 0001-feature-forwarded-fix-FTBFS-with-sphinx-beta-version.patch (deleted)
      this patch was applyed by the upstream

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 20 May 2013 22:05:20 +0200

pytango (8.0.2-1) unstable; urgency=low

  * debian/patches
    + 0001-feature-forwarded-fix-FTBFS-with-sphinx-beta-version.patch
      (Closes: #706471)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 07 May 2013 09:28:11 +0200

pytango (8.0.2-1~exp1) experimental; urgency=low

  * Imported Upstream version 8.0.2
  * debian/control
    - add python3-pytango binary package

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 21 Sep 2012 21:48:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,21 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                libboost-python-dev,
-               liblog4tango4-dev,
-               libtango7-dev,
-               python-all-dev (>= 2.6.6-3~),
-               python-numpy (>= 1:1.4.1-4~)
+               libtango8-dev,
+               python-all-dev,
+               python-numpy,
+               python3-all-dev,
+               python3-numpy
 Build-Depends-Indep: graphviz,
-		     python-sphinx
-Standards-Version: 3.9.3
+                     python-sphinx
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pytango.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytango.git
 Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-pytango
 Architecture: any
@@ -25,12 +27,31 @@
          ${python:Depends},
          ipython
 Provides: ${python:Provides}
-Description: API for the TANGO control system (documentation)
+Description: API for the TANGO control system (Python 2)
  TANGO is an object oriented distributed control system using CORBA,
  mainly developed by the Controls Section of the ALBA Synchrotron.
  PyTango provides bindings for its client- and server-side C++ APIs.
  With PyTango, you can write TANGO device servers and TANGO applications
  (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
+ .
+ This is the Python 2 version of the package.
+
+Package: python3-pytango
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
+         ipython3
+Provides: ${python3:Provides}
+Description: API for the TANGO control system (Python 3)
+ TANGO is an object oriented distributed control system using CORBA,
+ mainly developed by the Controls Section of the ALBA Synchrotron.
+ PyTango provides bindings for its client- and server-side C++ APIs.
+ With PyTango, you can write TANGO device servers and TANGO applications
+ (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
+ .
+ This is the Python 3 version of the package.
 
 Package: python-pytango-doc
 Architecture: all

## pytango 8.1.1

=== debian/changelog ===
pytango (8.1.1-1build3) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:29:14 +0000

pytango (8.1.1-1build2) trusty; urgency=medium

  * Rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 21:03:08 +0100

pytango (8.1.1-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:28:24 +0000

pytango (8.1.1-1) unstable; urgency=low

  * Imported Upstream version 8.1.1
  * debian/patch
    - 0001-fix-from-upstream-FTBFS-s390.patch (applyed by upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 27 Nov 2013 20:27:22 +0100

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/PyTango/PyTango-(.*)\.tar\.gz

## pytango 8.1.5

=== debian/changelog ===
pytango (8.1.5-1) unstable; urgency=medium

  * Imported Upstream version 8.1.5

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Oct 2014 11:55:00 +0200

pytango (8.1.4-1) unstable; urgency=medium

  * Imported Upstream version 8.1.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 30 Sep 2014 20:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper (>= 9),
                libboost-python-dev,
                libtango8-dev,
+               pkg-config,
                python-all-dev,
                python-numpy,
                python3-all-dev,

## pytango 8.1.6

=== debian/changelog ===
pytango (8.1.6-1) unstable; urgency=medium

  * debian/control
    - Build-deps: libtango8-dev (>= 8.1.2c+dfsg-7~) (Closes: #797284)
  * debian/patch
    - 0001-fix-compilation-with-python3.4.patch

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Sep 2015 18:23:34 +0100

pytango (8.1.6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 8.1.6
  * debian/watch
    - Use the pypi.debian.net redirector

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 09 Feb 2015 18:23:34 +0100

## pytango 8.1.8

=== src/swig/Makefile ===

# -----------------------------------------------------------------------------
# Common stuff
# -----------------------------------------------------------------------------
COMMON_OUT = _common

CSCC = cscc
CC = c++
LD = c++

SRC = src
SWIG = swig -c++

INTERFACE_FILE=tango.i

# -----------------------------------------------------------------------------
# PERL stuff
# -----------------------------------------------------------------------------
PERL_FLAGS =$(shell perl -MConfig -e 'print join(" ", @Config{qw(ccflags optimize cccdlflags)}, "-I$$Config{archlib}/CORE")')
PERL_LINK_FLAGS = $(shell perl -MConfig -e 'print $$Config{lddlflags}')
PERL_OUT = _perl
PERL_SWIG = $(SWIG) -perl5 -outdir $(PERL_OUT)
PERL_CC = $(CC) $(PERL_FLAGS)
PERL_LD = $(CC) $(PERL_LINK_FLAGS)

# -----------------------------------------------------------------------------
# Python stuff
# -----------------------------------------------------------------------------
PY_FLAGS = -g -fPIC -Wall $(shell python-config --includes) -std=c++0x
PY_LINK_FLAGS = -ltango -llog4tango -lpthread -lrt -ldl -lomniORB4 -lomniDynamic4 -lomnithread -lCOS4 -lzmq
PY_OUT = _python
PY_SWIG = $(SWIG) -python -outdir $(PY_OUT)
PY_CC = $(CC) $(PY_FLAGS)
PY_LD = $(LD) $(PY_LINK_FLAGS) -shared

# -----------------------------------------------------------------------------
# C# stuff
# -----------------------------------------------------------------------------
CSHARP_FLAGS = -fPIC
CSHARP_OUT = _csharp
CSHARP_SWIG = $(SWIG) -csharp -outdir $(CSHARP_OUT)
CSHARP_CC = $(CC) $(CSHARP_FLAGS)
CSHARP_LD = $(CC) -shared

# -----------------------------------------------------------------------------
# TCL stuff
# -----------------------------------------------------------------------------
TCL_FLAGS = -I/usr/include/tcl -fPIC
TCL_OUT = _tcl
TCL_SWIG = $(SWIG) -tcl -outdir $(TCL_OUT)
TCL_CC = $(CC) $(TCL_FLAGS)
TCL_LD = $(LD) -shared

# -----------------------------------------------------------------------------
# GO stuff
# -----------------------------------------------------------------------------
GO_FLAGS = -fPIC
GO_OUT = _go
GO_SWIG = $(SWIG) -go -intgosize 32 -outdir $(GO_OUT)
GO_CC = $(CC) $(GO_FLAGS)
GO_LD = $(CC) -shared

# -----------------------------------------------------------------------------
# commands
# -----------------------------------------------------------------------------

all: perl python csharp tcl

common:
	mkdir -p $(COMMON_OUT)

perl: common
	mkdir -p $(PERL_OUT)
	$(PERL_SWIG) -o $(PERL_OUT)/tango_wrap.cpp $(INTERFACE_FILE)
	$(PERL_CC) -c $(PERL_OUT)/tango_wrap.cpp -o $(PERL_OUT)/tango_wrap.o
	$(PERL_LD) $(COMMON_OUT)/tango_wrap.o -o $(PERL_OUT)/_Tango.so
	
python: common
	mkdir -p $(PY_OUT)
	$(PY_SWIG) -o $(PY_OUT)/tango_wrap.cpp $(INTERFACE_FILE)
	$(PY_CC) -c $(PY_OUT)/tango_wrap.cpp -o $(PY_OUT)/tango_wrap.o
	$(PY_LD) $(PY_OUT)/tango_wrap.o -o $(PY_OUT)/_Tango.so

csharp: common
	mkdir -p $(CSHARP_OUT)
	$(CSHARP_SWIG) -o $(CSHARP_OUT)/example_wrap.c $(INTERFACE_FILE)
	$(CSHARP_CC) -c $(CSHARP_OUT)/example_wrap.c -o $(CSHARP_OUT)/example_wrap.o
	$(CSHARP_LD) $(COMMON_OUT)/example.o $(CSHARP_OUT)/example_wrap.o -o $(CSHARP_OUT)/libexample.so
	
tcl: common
	mkdir -p $(TCL_OUT)
	$(TCL_SWIG) -o $(TCL_OUT)/example_wrap.c $(INTERFACE_FILE)
	$(TCL_CC) -c $(TCL_OUT)/example_wrap.c -o $(TCL_OUT)/example_wrap.o
	$(TCL_LD) $(COMMON_OUT)/example.o $(TCL_OUT)/example_wrap.o -o $(TCL_OUT)/example.so

go: common
	mkdir -p $(GO_OUT)
	$(GO_SWIG) -o $(GO_OUT)/example_wrap.c $(INTERFACE_FILE)
	$(GO_CC) -c $(GO_OUT)/example_wrap.c -o $(GO_OUT)/example_wrap.o $(GO_FLAGS)
	$(GO_LD) $(COMMON_OUT)/example.o $(GO_OUT)/example_wrap.o -o $(GO_OUT)/example.so
	6g -o $(GO_OUT)/example.6 $(GO_OUT)/example.go
	6c -I $(GOROOT)/pkg/linux_amd64 -o $(GO_OUT)/example_gc.6 $(GO_OUT)/example_gc.c
	pack grc $(GO_OUT)/example.a $(GO_OUT)/example.6 $(GO_OUT)/example_gc.6

clean:
	rm -rf $(COMMON_OUT) $(PERL_OUT) $(PY_OUT) $(CSHARP_OUT) $(TCL_OUT) $(GO_OUT)

=== debian/changelog ===
pytango (8.1.8-1ubuntu0.1) xenial; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * debian/patches
    - 0001-Fix-syntax-error-in-python-3.patch (Closes: #814824)

  [ Logan Rosen ]
  * Upload 8.1.8-2 to Xenial to fix python3-pytango installation
    bug (LP: #1641790).

 -- Logan Rosen <logan@ubuntu.com>  Sat, 08 Dec 2018 22:34:10 -0500

pytango (8.1.8-1) unstable; urgency=medium

  * Imported Upstream version 8.1.8
  * debian/patch
    - 0001-fix-compilation-with-python3.4.patch (deleted, applyed upstream)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 13 Feb 2016 16:19:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pytango
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 9),
                libboost-python-dev,
-               libtango8-dev,
+               libtango8-dev (>= 8.1.2c+dfsg-7~),
                pkg-config,
                python-all-dev,
                python-numpy,

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with python2,python3

build-python%:
	python$* setup.py build

override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build


install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb --install-html=$(CURDIR)/debian/python-pytango-doc/usr/share/doc/python-pytango-doc/html
	# install itango3
	mv $(CURDIR)/debian/tmp/usr/bin/itango $(CURDIR)/debian/tmp/usr/bin/itango3
	# install the ipython >= 0.11 profiles
	install -d $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/IPython/config/profile/tango
	install -p -m644\
		$(CURDIR)/IPython/config/profile/tango/ipython_config.py\
		$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/IPython/config/profile/tango
	dh_numpy3

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install -- --install-html=$(CURDIR)/debian/python-pytango-doc/usr/share/doc/python-pytango-doc/html
	dh_numpy

override_dh_installdocs:
	dh_installdocs
ifneq (,$(filter python-pytango-doc, $(shell dh_listpackages)))
	# add the - for backport where dh_sphinxdoc is not available
	-dh_sphinxdoc -ppython-pytango-doc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## pytango 9.2.0

=== Makefile ===
# ------------------------------------------------------------------------------
# This file is part of PyTango (http://pytango.rtfd.io)
#
# Copyright 2006-2012 CELLS / ALBA Synchrotron, Bellaterra, Spain
# Copyright 2013-2014 European Synchrotron Radiation Facility, Grenoble, France
#
# Distributed under the terms of the GNU Lesser General Public License,
# either version 3 of the License, or (at your option) any later version.
# See LICENSE.txt for more info.
# ------------------------------------------------------------------------------

################################################################################
#                    TO BE USED BY DEVELOPERS ONLY
################################################################################

# Makefile to generate the PyTango library
# Needs the following environment variables to be defined:
# - TANGO_ROOT
# - LOG4TANGO_ROOT
# - OMNI_ROOT
# - BOOST_ROOT
# - ZMQ_ROOT
# - NUMPY_ROOT
#
# if target == install also needs: prefix=<install_dir>
# ex: make install prefix=/home/homer/.local/lib/python2.6/site-packages
#
# Optional:
# - OBJS_DIR: directory where files will be build (default: objs)
# - PY3K: if defined use python 3 boost python
# - PY_VER: use a specific python version (default is empty) (ex: 3.2)

# Build "in parallel":
# make prepare && make -j5
#
# Install "in parallel":
# make prepare && make -j5 && make install prefix=<install dir>

ifdef PY_VER
PY_EXC=python$(PY_VER)
PY_MAJOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[0]))")
PY_MINOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[1]))")
else
PY_EXC=python
PY_MAJOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[0]))")
PY_MINOR=$(shell $(PY_EXC) -c "import sys; sys.stdout.write(str(sys.version_info[1]))")
PY_VER=$(PY_MAJOR).$(PY_MINOR)
endif

PY_VER_S=$(PY_MAJOR)$(PY_MINOR)

ifndef NUMPY_ROOT
NUMPY_INC = -I$(shell $(PY_EXC) -c "import sys, numpy; sys.stdout.write(numpy.get_include())")
else
NUMPY_INC = -I$(NUMPY_ROOT)/include
endif

PYTANGO_NUMPY_VERSION = \"$(shell $(PY_EXC) -c "import sys, numpy; sys.stdout.write(numpy.__version__)")\"

ifndef prefix
ifdef user
_PY_DIR=$(shell $(PY_EXC) -c "import sys, os; sys.stdout.write(os.path.split(os.path.join(os.path.dirname(os.__file__)))[1])")
prefix=$(HOME)/.local/lib/$(_PY_DIR)/site-packages
else
_PY_DIR=$(shell $(PY_EXC) -c "import sys, os; sys.stdout.write(os.path.join(os.path.dirname(os.__file__)))")
prefix=$(_PY_DIR)/site-packages
endif
endif

SRC_DIR = ext

ifndef OBJS_DIR
OBJS_DIR := objs_py$(PY_VER_S)
endif

CC = gcc

PY_INC := $(shell python$(PY_VER)-config --includes)

ifdef optimize
OPTIMIZE_CC = -O2
OPTIMIZE_LN = -O2
else
OPTIMIZE_CC = -O0
OPTIMIZE_LN = -O0
endif

TANGO_CFLAGS=`pkg-config --cflags-only-other tango`
TANGO_LIBS=`pkg-config --libs-only-l tango`
BOOST_LIB = boost_python-py$(PY_VER_S)

PRE_C_H := precompiled_header.hpp
PRE_C_H_O := $(OBJS_DIR)/$(PRE_C_H).gch
PRE_C := -include$(OBJS_DIR)/$(PRE_C_H)

LN := g++ -pthread -shared -Wl,$(OPTIMIZE_LN) -Wl,-Bsymbolic-functions #-z defs
LN_STATIC := g++ -pthread -static -Wl,$(OPTIMIZE_LN) -Wl,-Bsymbolic-functions

LN_VER := -Wl,-h -Wl,--strip-all

LN_LIBS := -l$(BOOST_LIB) -lpython$(PY_VER) -ltango

INCLUDE_DIRS =

ifdef TANGO_ROOT
LN_DIRS += -L$(TANGO_ROOT)/lib
INCLUDE_DIRS += -I$(TANGO_ROOT)/include -I$(TANGO_ROOT)/include/tango
#LN_LIBS += -ltango -lomniDynamic4 -lCOS4 -llog4tango -lzmq -lomniORB4 -lomnithread
else
LN_DIRS += `pkg-config --libs-only-L tango`
INCLUDE_DIRS += `pkg-config --cflags-only-I tango`
#LN_LIBS += `pkg-config --libs-only-l tango`
endif

ifdef LOG4TANGO_ROOT
LN_DIRS += -L$(LOG4TANGO_ROOT)/lib
INCLUDE_DIRS += -I$(LOG4TANGO_ROOT)/include
endif

ifdef OMNI_ROOT
LN_DIRS += -L$(OMNI_ROOT)/lib
INCLUDE_DIRS += -I$(OMNI_ROOT)/include
endif

ifdef BOOST_ROOT
LN_DIRS += -L$(BOOST_ROOT)/lib
endif

ifdef ZMQ_ROOT
LN_DIRS += -L$(ZMQ_ROOT)/lib
INCLUDE_DIRS += -I$(ZMQ_ROOT)/include
endif

INCLUDE_DIRS += \
    $(PY_INC) \
    $(NUMPY_INC)

QUOTE_INCLUDE_DIRS = -iquote $(SRC_DIR)

MACROS := -DNDEBUG -DPYTANGO_HAS_UNIQUE_PTR -DPYTANGO_NUMPY_VERSION=$(PYTANGO_NUMPY_VERSION)
CFLAGS := -pthread -fno-strict-aliasing -fwrapv -Wall -fPIC -g $(OPTIMIZE_CC) $(MACROS) $(TANGO_CFLAGS) $(INCLUDE_DIRS) $(QUOTE_INCLUDE_DIRS)
LNFLAGS := $(LN_DIRS) $(LN_LIBS)

LIB_NAME := _tango.so
LIB_SYMB_NAME := $(LIB_NAME).dbg

OBJS := \
$(OBJS_DIR)/api_util.o \
$(OBJS_DIR)/archive_event_info.o \
$(OBJS_DIR)/attr_conf_event_data.o \
$(OBJS_DIR)/attribute_alarm_info.o \
$(OBJS_DIR)/attribute_dimension.o \
$(OBJS_DIR)/attribute_event_info.o \
$(OBJS_DIR)/attribute_info.o \
$(OBJS_DIR)/attribute_info_ex.o \
$(OBJS_DIR)/device_pipe.o \
$(OBJS_DIR)/pipe_info.o \
$(OBJS_DIR)/attribute_proxy.o \
$(OBJS_DIR)/base_types.o \
$(OBJS_DIR)/callback.o \
$(OBJS_DIR)/change_event_info.o \
$(OBJS_DIR)/command_info.o \
$(OBJS_DIR)/connection.o \
$(OBJS_DIR)/constants.o \
$(OBJS_DIR)/database.o \
$(OBJS_DIR)/data_ready_event_data.o \
$(OBJS_DIR)/db.o \
$(OBJS_DIR)/dev_command_info.o \
$(OBJS_DIR)/dev_error.o \
$(OBJS_DIR)/device_attribute_config.o \
$(OBJS_DIR)/device_attribute.o \
$(OBJS_DIR)/device_attribute_history.o \
$(OBJS_DIR)/device_data.o \
$(OBJS_DIR)/device_data_history.o \
$(OBJS_DIR)/device_info.o \
$(OBJS_DIR)/device_proxy.o \
$(OBJS_DIR)/enums.o \
$(OBJS_DIR)/event_data.o \
$(OBJS_DIR)/exception.o \
$(OBJS_DIR)/from_py.o \
$(OBJS_DIR)/group.o \
$(OBJS_DIR)/group_reply.o \
$(OBJS_DIR)/group_reply_list.o \
$(OBJS_DIR)/locker_info.o \
$(OBJS_DIR)/locking_thread.o \
$(OBJS_DIR)/periodic_event_info.o \
$(OBJS_DIR)/poll_device.o \
$(OBJS_DIR)/pytango.o \
$(OBJS_DIR)/pytgutils.o \
$(OBJS_DIR)/pyutils.o \
$(OBJS_DIR)/time_val.o \
$(OBJS_DIR)/to_py.o \
$(OBJS_DIR)/version.o \
$(OBJS_DIR)/attr.o \
$(OBJS_DIR)/attribute.o \
$(OBJS_DIR)/command.o \
$(OBJS_DIR)/pipe.o \
$(OBJS_DIR)/device_class.o \
$(OBJS_DIR)/device_impl.o \
$(OBJS_DIR)/dserver.o \
$(OBJS_DIR)/encoded_attribute.o \
$(OBJS_DIR)/log4tango.o \
$(OBJS_DIR)/multi_attribute.o \
$(OBJS_DIR)/multi_class_attribute.o \
$(OBJS_DIR)/subdev.o \
$(OBJS_DIR)/tango_util.o \
$(OBJS_DIR)/user_default_attr_prop.o \
$(OBJS_DIR)/user_default_pipe_prop.o \
$(OBJS_DIR)/wattribute.o \
$(OBJS_DIR)/auto_monitor.o

INC := callback.h \
defs.h \
device_attribute.h \
exception.h \
fast_from_py.h \
from_py.h \
pytgutils.h \
pyutils.h \
tango_numpy.h \
tgutils.h \
to_py.h \
attr.h \
attribute.h \
command.h \
pipe.h \
device_class.h \
device_impl.h

LINKER=$(LN) $(OBJS) $(LN_VER)

LINK_TASK=link
ifdef optimize
LINK_TASK=link-opt
endif

OK=OK!

#-----------------------------------------------------------------

all: build

prepare: init $(PRE_C_H_O)

build: init prepare $(LINK_TASK)

init:
	@echo Using python $(PY_VER)
	@echo CFLAGS  = $(CFLAGS)
	@echo LNFLAGS = $(LNFLAGS)
	@echo -n "Preparing build directories... "
	@mkdir -p $(OBJS_DIR)
	@echo $(OK)

$(PRE_C_H_O): $(SRC_DIR)/$(PRE_C_H)
	@echo -n "Compiling pre-compiled header... "
	@$(CC) $(CFLAGS) -c $< -o $(PRE_C_H_O)
	@echo $(OK)

#
# Rule for API files
#
$(OBJS_DIR)/%.o: $(SRC_DIR)/%.cpp
	@echo -n "Compiling $(<F)... "
	@$(CC) $(CFLAGS) -c $< -o $(OBJS_DIR)/$*.o $(PRE_C)
	@echo Done!

$(OBJS_DIR)/%.o: $(SRC_DIR)/server/%.cpp
	@echo -n "Compiling $(<F)... "
	@$(CC) $(CFLAGS) -c $< -o $(OBJS_DIR)/$*.o $(PRE_C)
	@echo $(OK)

#
#	The shared libs
#

link: prepare $(OBJS)
	@echo -n "Linking shared $(LIB_NAME)... "
	@$(LINKER) -o $(OBJS_DIR)/$(LIB_NAME) $(LNFLAGS)
	@echo $(OK)

link-opt: link
	@echo Optimizing shared $(LIB_NAME)
	@echo -n "  Building separate debug file... "
	@objcopy --only-keep-debug $(OBJS_DIR)/$(LIB_NAME) $(OBJS_DIR)/$(LIB_NAME).dbg
	@echo $(OK)
	@echo -n "  Stripping $(LIB_NAME)... "
	@objcopy --strip-debug --strip-unneeded $(OBJS_DIR)/$(LIB_NAME)
	@echo $(OK)
	@echo -n "  Linking $(LIB_NAME) with debug file... "
	@objcopy --add-gnu-debuglink=$(OBJS_DIR)/$(LIB_NAME).dbg $(OBJS_DIR)/$(LIB_NAME)
	@echo $(OK)

clean:
	@echo -n Cleaning ...
	@rm -f $(OBJS_DIR)/*.o
	@echo $(OK)

clean-all:
	@echo -n Cleaning all...
	@rm -rf $(OBJS_DIR)
	@echo $(OK)

install-py:
	@echo -n "Installing python files into $(prefix)/tango... "
	@mkdir -p $(prefix)/tango
	@rsync -r tango/ $(prefix)/tango/
	@rsync PyTango.py $(prefix)/
	@echo $(OK)

install-lib:
	@echo -n "Installing binary files into $(prefix)/tango... "
	@rsync $(OBJS_DIR)/$(LIB_NAME) $(prefix)/tango
	@echo $(OK)

install-all: install-py install-lib

install: build install-all

=== debian/changelog ===
pytango (9.2.0-2) unstable; urgency=medium

  * Add Breaks and Replace for python-pytango-doc (Closes: #836859)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Nov 2016 11:22:02 +0100

pytango (9.2.0-1) unstable; urgency=medium

  * Uploaded into Unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 31 Oct 2016 11:22:02 +0100

pytango (9.2.0-1~exp2) experimental; urgency=medium

  * Fixed d/rules to call --with sphinxdoc only when building arch-all
    packages.
  * Updated the d/copyright (Add the ESRF)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 04 Sep 2016 11:22:02 +0200

pytango (9.2.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 9.2.0
    - Filter out sourceless binary executable: examples/many/many_client
  * debian/patch
    - Drop unnecessary patch 0001-Fix-syntax-error-in-python-3.patch
    - Add 0001-Fix-syntax-error-in-python-3.patch - spelling fix
    - 0002-Use-jquery-from-the-archive.patch - fix jquery reference
  * debian/control
    - Update build depends:
      - add: python-six, python-gevent, python-concurrent.futures, libtango-dev
    - Rename package pytango=>tango; add transitional packages
    - Standards-Version bump to 3.9.8 (nothing to do)
    - Updated the Vcs-X (git -> https)
  * Ship extra pydist files so dependent packages will use the correct
    python-tango dependency
  * Drop itango deps for now - until a separate itango package is made
  * debian/rules
    - Build with pybuild
  * Add myself to uploaders

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Fri, 26 Aug 2016 11:15:20 +0200

pytango (8.1.8-2) unstable; urgency=medium

  * debian/patches
    - 0001-Fix-syntax-error-in-python-3.patch (Closes: #814824)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 21 Feb 2016 14:03:38 +0100

=== debian/control ===
Source: pytango
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>,
           Sandor Bodo-Merle <sbodomerle@gmail.com>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-python,
               libboost-python-dev,
               libtango-dev,
               pkg-config,
               python-all-dev,
               python-concurrent.futures,
               python-gevent,
               python-numpy,
               python-setuptools,
               python-six,
               python3-all-dev,
               python3-numpy,
               python3-setuptools,
               python3-six
Build-Depends-Indep: graphviz,
                     python-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytango.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytango.git
Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-pytango
Architecture: any
Section: oldlibs
Depends: ${misc:Depends},
         python-tango
Pre-Depends: ${misc:Pre-Depends}
Description: transitional dummy package for python-tango
 This is a transitional package to ease upgrades to the
 python-tango package. It can be safely removed.

Package: python-tango
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: API for the TANGO control system (Python 2)
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This is the Python 2 version of the package.

Package: python3-pytango
Architecture: any
Section: oldlibs
Depends: ${misc:Depends},
         python3-tango
Pre-Depends: ${misc:Pre-Depends}
Description: transitional dummy package for python3-tango
 This is a transitional package to ease upgrades to the
 python3-tango package. It can be safely removed.

Package: python3-tango
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python3:Provides}
Description: API for the TANGO control system (Python 3)
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This is the Python 3 version of the package.

Package: python-tango-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Replaces: python-pytango-doc (<< 9.2.0-2~)
Breaks: python-pytango-doc (<< 9.2.0-2~)
Description: API for the TANGO control system
 TANGO is an object oriented distributed control system using CORBA,
 mainly developed by the Controls Section of the ALBA Synchrotron.
 PyTango provides bindings for its client- and server-side C++ APIs.
 With PyTango, you can write TANGO device servers and TANGO applications
 (scripts, CLIs, GUIs) that access TANGO device servers in pure Python.
 .
 This package contains the documentation for the python-tango library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tango
export PYBUILD_INSTALL_ARGS_python2=--install-html=$(CURDIR)/debian/python-tango-doc/usr/share/doc/python-tango-doc/html

# sphinxdoc is available only when building the arch-all packages
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

%:
	dh $@ --with python2,python3 $(WITH_SPHINXDOC) --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	dh_numpy
	dh_numpy3

override_dh_installdocs:
	dh_installdocs
ifneq (,$(filter python-tango-doc, $(shell dh_listpackages)))
	# add the - for backport where dh_sphinxdoc is not available
	-dh_sphinxdoc -ppython-tango-doc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## pytango 9.2.1

=== debian/changelog ===
pytango (9.2.1-1) unstable; urgency=medium

  * debian/patch
    - apply upstream patch to fix gcc-7 compilation (Closes: #853624)
  * Bump Standards-Version to 4.0.0, no changes.

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Mon, 07 Aug 2017 18:27:13 +0200

pytango (9.2.1-1~exp1) experimental; urgency=medium

  * Import Upstream version 9.2.1
  * debian/patch
    - drop 0001-correct-typo-s-lenght-length.patch (aplied upstream)
  * Use compat level 10 (Closes: #843728)

 -- Sandor Bodo-Merle <sbodomerle@gmail.com>  Tue, 31 Jan 2017 12:56:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Sandor Bodo-Merle <sbodomerle@gmail.com>
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                libboost-python-dev,
                libtango-dev,
@@ -21,7 +21,7 @@
                python3-six
 Build-Depends-Indep: graphviz,
                      python-sphinx
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytango.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytango.git
 Homepage: http://www.tango-controls.org/static/PyTango/latest/doc/html/
